variables:
  REPORT_FILENAME: gl-secret-detection-report.json
  MAX_IMAGE_SIZE_MB: 61
  MAX_SCAN_DURATION_SECONDS: 33
  SECRET_DETECTION_EXCLUDED_PATHS: "qa/fixtures,testdata,gl-*-report.json"
  SECURE_LOG_LEVEL: "debug"
  MAX_IMAGE_SIZE_MB_FIPS: 160
  GO_VERSION: "1.22"

include:
  - https://gitlab.com/gitlab-org/security-products/ci-templates/raw/master/includes-dev/analyzer.yml
  - project: "gitlab-org/security-products/ci-templates"
    ref: "master"
    file: "/includes-dev/upsert-git-tag.yml"
  # include BAP analysis
  - local: ".gitlab/bap-analysis.yml"

go test:
  before_script:
    # Exclude qa fixtures from go test
    - rm -r qa/fixtures/secrets
    - apt-get update && apt-get install unzip

go lint:
  before_script:
    # Exclude qa fixtures from go lint
    - rm -r qa/fixtures/secrets

integration-test:
  image:
    name: registry.gitlab.com/gitlab-org/security-products/analyzers/integration-test:stable
  services:
    - docker:20.10-dind
  variables:
    TMP_IMAGE: $CI_REGISTRY_IMAGE/tmp:$CI_COMMIT_SHA$IMAGE_TAG_SUFFIX
  script:
    - rspec -f d
  artifacts:
    when: always
    paths:
      - tmp/**/gl-secret-detection-report.json
    expire_in: 1 week

integration-test-fips:
  extends: integration-test
  variables:
    IMAGE_TAG_SUFFIX: "-fips"
    PRIVILEGED: "true"
